Subject: Re: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Sep 2020 04:08:23 +0200

Alan Mackenzie <[email-masked]> writes:

> 16.  The problem was that the submatch highlight was light magenta on
> dark magenta, which I just didn't see.  Maybe the colours used for
> isearch-group-1 on a 16 colour terminal are suboptimal.  They certainly
> don't work well on my Linux virtual tty.

I've now changed the face specs to inherit from the isearch face if
there's fewer than 88 colours.

> However, on pressing backspace to go back to previous matches, this new
> highlighting is no longer there.
>
> So, perhaps there is/are (a) bug(s) here after all, just not the one I
> thought I'd found.

Yup; I can reproduce that bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no